"""
URL configuration for envipath project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""

from django.conf import settings as s
from django.contrib import admin
from django.urls import include, path

from .api import api_v1, api_legacy

urlpatterns = [
    path("", include("epdb.urls")),
    path("", include("migration.urls")),
    path("admin/", admin.site.urls),
    path("api/v1/", api_v1.urls),
    path("api/legacy/", api_legacy.urls),
    path("o/", include("oauth2_provider.urls", namespace="oauth2_provider")),
]

if s.MS_ENTRA_ENABLED:
    urlpatterns.append(path("", include("epauth.urls")))
